---
website: https://geti2p.net/de/
obj: application
repo: https://github.com/PurpleI2P/i2pd
---

#refactor
# I2P Network
I2P is an anonymizing network, offering a simple layer that identity-sensitive applications can use to securely communicate. All data is wrapped with several layers of encryption, and the network is both distributed and dynamic, with no trusted parties. Many applications are available that interface with I2P, including mail, peer-peer, IRC chat, and others. Anonymous [Torrenting](BitTorrent.md) via i2psnark is also possible.

## Usage
Install `i2pd` (deamon written in C++) and enable the service. Router Interface is at `127.0.0.1:7070` with [HTTP](../internet/HTTP.md) Proxy at `127.0.0.1:4444`

## Tunnel Configuration
### Client Tunnel
Expose a i2p service on client port
```
[client]
type = client
address = 127.0.0.1
port = 6668
destination = client.i2p
keys = client.dat
```

### Server Tunnel
Expose a generic service as i2p service:
```
[server]
type = server
host = 127.0.0.1
port = 25
keys = server.dat
```

### [HTTP](../internet/HTTP.md) Tunnel (Website)
Run a web server:
```
[http-server]
type = http
host = 127.0.0.1
port = 80
keys = our-website.dat
```